function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
        var symbols = Object.getOwnPropertySymbols(object);
        if (enumerableOnly) {
            symbols = symbols.filter(function(sym) {
                return Object.getOwnPropertyDescriptor(object, sym).enumerable;
            });
        }
        keys.push.apply(keys, symbols);
    }
    return keys;
}
function _object_spread_props(target, source) {
    source = source != null ? source : {};
    if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
        ownKeys(Object(source)).forEach(function(key) {
            Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
    }
    return target;
}
function _object_without_properties(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys, key, i;
    if (typeof Reflect !== "undefined" && Reflect.ownKeys) {
        sourceKeys = Reflect.ownKeys(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
        return target;
    }
    target = _object_without_properties_loose(source, excluded);
    if (Object.getOwnPropertySymbols) {
        sourceKeys = Object.getOwnPropertySymbols(source);
        for(i = 0; i < sourceKeys.length; i++){
            key = sourceKeys[i];
            if (excluded.indexOf(key) >= 0) continue;
            if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
            target[key] = source[key];
        }
    }
    return target;
}
function _object_without_properties_loose(source, excluded) {
    if (source == null) return {};
    var target = {}, sourceKeys = Object.getOwnPropertyNames(source), key, i;
    for(i = 0; i < sourceKeys.length; i++){
        key = sourceKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
    }
    return target;
}
import React from "react";
export var JsonnetIcon = function JsonnetIcon(_0) {
    var _0_size = _0.size, size = _0_size === void 0 ? 24 : _0_size, props = _object_without_properties(_0, [
        "size"
    ]);
    return /*#__PURE__*/ React.createElement("svg", _object_spread_props(_object_spread({
        width: size,
        height: size
    }, props), {
        xmlns: "http://www.w3.org/2000/svg",
        viewBox: "0 0 32 32"
    }), /*#__PURE__*/ React.createElement("title", null, "file_type_jsonnet"), /*#__PURE__*/ React.createElement("path", {
        d: "M30,16A14,14,0,1,1,16,2,14,14,0,0,1,30,16Z",
        style: {
            fill: '#0064bd'
        }
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M20.086,22.537,16.817,20.9V17.634l3.269,1.634Z",
        style: {
            fill: '#fff',
            fillRule: 'evenodd'
        }
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M7.012,12.732,10.28,11.1l3.269,1.635L10.28,14.366ZM10.28,11.1l3.269-1.634L16.817,11.1l-3.268,1.635ZM13.549,16l3.268-1.634L20.086,16l-3.269,1.634Zm3.268-4.9,3.269-1.634L23.354,11.1l-3.268,1.635Zm0,6.537L20.086,16l3.268,1.634-3.268,1.634Z",
        style: {
            fill: '#bfbfbf',
            fillRule: 'evenodd'
        }
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M13.549,22.537V19.268l3.268-1.634V20.9ZM20.086,16V12.732L23.354,11.1v3.269Zm0,6.537V19.268l3.268-1.634V20.9ZM16.817,20.9V17.634L20.086,16v3.268ZM13.549,16V12.732L16.817,11.1v3.269Z",
        style: {
            fill: 'gray',
            fillRule: 'evenodd'
        }
    }), /*#__PURE__*/ React.createElement("path", {
        d: "M7.012,16l3.268,1.634V20.9l3.269,1.634V19.268L16.817,20.9V17.634L13.549,16V12.732L10.28,11.1v3.269L7.012,12.732Zm13.074,0-3.269-1.634V11.1l3.269,1.635Z",
        style: {
            fill: '#fff',
            fillRule: 'evenodd'
        }
    }));
};
export default JsonnetIcon;
